Subject: bug#38696: "If you edit it by hand, you could mess it up"

From: Richard Stallman <[email-masked]>
Date: Tue, 24 Dec 2019 21:37:14 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > A priori that sounds complicated, and maybe error
  > prone, to me.  But maybe it's worth considering.

I am not trying to insist.

  > My suggestion would be to just change the comment
  > wording a bit, to make clear that future use of
  > Customize might overwrite any manual changes you
  > make to that code.  IOW, state that clearly as a
  > major reason _why_ you're advised not to edit the
  > code.

I agree that would be an improvement.

  > I'd even suggest that if `custom-file' is
  > undefined then Customize should immediately ask
  > a user to define it, instead of just silently
  > writing to a user's init file.

I think that would make Emacs usage a little more complicated
for lots of users, and only a few would benefit.

-- 
Dr Richard Stallman
Founder, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)